## Update Dispute

### cURL

```bash
curl --request POST \
  --url https://api.withflex.com/v1/disputes/{dispute_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dispute": {
    "evidence": {},
    "submit": false
  }
}
'```

### Python

```python
import requests

url = "https://api.withflex.com/v1/disputes/{dispute_id}"

payload = { "dispute": {
        "evidence": {},
        "submit": False
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({dispute: {evidence: {}, submit: false}})
};

fetch('https://api.withflex.com/v1/disputes/{dispute_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/disputes/{dispute_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'dispute' => [
        'evidence' => [],
        'submit' => false
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/disputes/{dispute_id}"

payload := strings.NewReader("{\n  \"dispute\": {\n    \"evidence\": {},\n    \"submit\": false\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/disputes/{dispute_id}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"dispute\": {\n    \"evidence\": {},\n    \"submit\": false\n  }\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/disputes/{dispute_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"dispute\": {\n    \"evidence\": {},\n    \"submit\": false\n  }\n}"

response = http.request(request)
puts response.read_body
```

### Status Codes
- **200**: Success 
- **401**: Unauthorized 
- **403**: Forbidden 
- **404**: Not Found 
- **409**: Conflict 
- **422**: Unprocessable Entity 
- **429**: Too Many Requests

### Example Response

```json
{
  "dispute": {
    "dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "amount": 2500,
    "currency": "usd",
    "charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z",
    "status": "lost",
    "reason": "bank_cannot_process",
    "is_charge_refundable": false,
    "evidence": {},
    "evidence_details": {},
    "payment_method_details": {},
    "test_mode": false,
    "client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
```

### Error Response

```json
{
  "code": "string",
  "detail": "string"
}
```

### Validation Error

```json
{
  "detail": [
    {
      "loc": ["string"],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

### Authorization

Authorization string header required for this API, use a Bearer token.
